Retrieve order payments
Orders
Retrieve order payments
Retrieve order payments
GET
Retrieve order payments
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Commerce Engine is now in early preview. Please report any issues or feedback to support@commercengine.io
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/orders/{order_number}/payments \
--header 'Authorization: Bearer <token>'{
"message": "order details",
"success": true,
"content": {
"payments": [
{
"request_number": "<string>",
"amount": 123,
"payment_date": "2023-11-07T05:31:56Z",
"payment_reference_number": "<string>",
"payment_method": "<string>",
"icon_url": "<string>",
"card_number": "<string>"
}
]
}
}Retrieve order payments
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/orders/{order_number}/payments \
--header 'Authorization: Bearer <token>'{
"message": "order details",
"success": true,
"content": {
"payments": [
{
"request_number": "<string>",
"amount": 123,
"payment_date": "2023-11-07T05:31:56Z",
"payment_reference_number": "<string>",
"payment_method": "<string>",
"icon_url": "<string>",
"card_number": "<string>"
}
]
}
}Was this page helpful?